[Python-modules-commits] r21436 - in packages/gamera/trunk/debian (4 files)

jwilk at users.alioth.debian.org jwilk at users.alioth.debian.org
Thu Apr 26 10:34:40 UTC 2012


    Date: Thursday, April 26, 2012 @ 10:34:37
  Author: jwilk
Revision: 21436

When running DEP-8 tests, copy them to a temporary directory; remove rw-build-tree restriction.

Modified:
  packages/gamera/trunk/debian/changelog
  packages/gamera/trunk/debian/tests/control
  packages/gamera/trunk/debian/tests/nosetests
  packages/gamera/trunk/debian/tests/nosetests-dbg

Modified: packages/gamera/trunk/debian/changelog
===================================================================
--- packages/gamera/trunk/debian/changelog	2012-04-25 23:00:59 UTC (rev 21435)
+++ packages/gamera/trunk/debian/changelog	2012-04-26 10:34:37 UTC (rev 21436)
@@ -1,8 +1,10 @@
 gamera (3.3.2-4) UNRELEASED; urgency=low
 
-  * DEP-8 tests: redirect nosetests output from stderr to stdout.
+  * Improve DEP-8 tests:
+    + Redirect nosetests output from stderr to stdout.
+    + Copy tests to a temporary directory; remove rw-build-tree restriction.
 
- -- Jakub Wilk <jwilk at debian.org>  Mon, 23 Apr 2012 14:43:05 +0200
+ -- Jakub Wilk <jwilk at debian.org>  Thu, 26 Apr 2012 12:33:18 +0200
 
 gamera (3.3.2-3) unstable; urgency=low
 

Modified: packages/gamera/trunk/debian/tests/control
===================================================================
--- packages/gamera/trunk/debian/tests/control	2012-04-25 23:00:59 UTC (rev 21435)
+++ packages/gamera/trunk/debian/tests/control	2012-04-26 10:34:37 UTC (rev 21436)
@@ -1,13 +1,11 @@
 Tests: nosetests
 Features: no-build-needed
-Restrictions: rw-build-tree
 Depends: python-nose,
  python-gamera,
  python-docutils, python-pygments
 
 Tests: nosetests-dbg
 Features: no-build-needed
-Restrictions: rw-build-tree
 Depends: python-nose, python-dbg,
  python-gamera, python-gamera-dbg,
  python-docutils, python-pygments

Modified: packages/gamera/trunk/debian/tests/nosetests
===================================================================
--- packages/gamera/trunk/debian/tests/nosetests	2012-04-25 23:00:59 UTC (rev 21435)
+++ packages/gamera/trunk/debian/tests/nosetests	2012-04-26 10:34:37 UTC (rev 21436)
@@ -1,8 +1,12 @@
 #!/bin/sh
-set -e
+set -e -u
+tmpdir=$(mktemp -t -d gamera.test.XXXXXXXX)
+cp -a tests/ "$tmpdir"
+cd "$tmpdir/tests/"
 export PYTHONWARNINGS=d
-cd tests/
 pyversions -i \
 | tr ' ' '\n' \
 | xargs -I {} env {} \
   /usr/bin/nosetests --verbose 2>&1
+cd /
+rm -rf "$tmpdir"

Modified: packages/gamera/trunk/debian/tests/nosetests-dbg
===================================================================
--- packages/gamera/trunk/debian/tests/nosetests-dbg	2012-04-25 23:00:59 UTC (rev 21435)
+++ packages/gamera/trunk/debian/tests/nosetests-dbg	2012-04-26 10:34:37 UTC (rev 21436)
@@ -1,10 +1,14 @@
 #!/bin/sh
-set -e
+set -e -u
+tmpdir=$(mktemp -t -d gamera.test.XXXXXXXX)
+cp -a tests/ "$tmpdir"
+cd "$tmpdir/tests/"
 export PYTHONWARNINGS=d
-cd tests/
 pyversions -i \
 | tr ' ' '\n' \
 | sed -e 's/$/-dbg/' \
 | (cd /usr/bin/ && xargs -n1 ls) \
 | xargs -I {} env {} \
   /usr/bin/nosetests --verbose 2>&1
+cd /
+rm -rf "$tmpdir"




More information about the Python-modules-commits mailing list